
/* gpbrx.c -- user-space part, receive the three signals for button,
	deasil, widdershins, and react to them. */ 

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <signal.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include "gammapb_u.h"
#include "gpbrx.h"

/* Write some text to the gammapb device */ 
int GPBU_Send(char *txt)
{
	int fd, ws;
	fd = open( DEVICENAME, O_WRONLY); 
	if(fd == -1)
	{
		return(-1);
	}

	ws = write(fd, txt, strlen(txt));
	close(fd);
	return(ws);
}


/* Turn the signals on for us. */ 
int GPBU_TurnOn()
{
	int ws; 
	char txt[80];
	snprintf(txt, 80, "P%u\n", getpid()); 
	ws = GPBU_Send(txt);
	return(ws);
}

/* Turn the signals on for us. */ 
int GPBU_TurnOff()
{
	int ws; 
	ws = GPBU_Send("P0");
	return(ws);
}


