
/* ipdisplay.c -- uses the mgraf code. */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <errno.h>
#include <unistd.h>
#include <stdint.h>

#include "mgraf.h"
#include "ipshow.h"



int main()
{
	struct dispinfo DI;
	char infobuf[128];
	int ds;

	ds = displayinit(&DI, infobuf, 128);
	if(ds < 0)
	{
		fprintf(stderr, "%s\n", infobuf);
		return(0);
	}

	ipshow(infobuf, 128); 
	// snprintf(infobuf, 128, "%s", "10.0.0.0");

	BlitString(&DI, 0, 0, infobuf);

	refreshflagged(&DI);

	displayexit(&DI);
	return(0);
}



